%global commit dc533642089d3b564021c48d25702648f1910b2d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           shiny
Version:        0.3
Release:        1.git%{shortcommit}%{?dist}
Summary:        Shader and material management library for OGRE

License:        MIT
URL:            https://github.com/scrawl/shiny/
Source0:        https://github.com/scrawl/shiny/archive/%{commit}/%{name}-%{version}-%{shortcommit}.zip

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  ogre-devel
Requires:       ogre

%description
Shader and material management library for OGRE.

%package devel
Summary:        Development Files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ogre-devel

%description devel
Development files for shader and material management library for OGRE.

%prep
%setup -q -n %{name}-%{commit}
mkdir build

%build
LDFLAGS="$LDFLAGS -Wl,--as-needed"; export LDFLAGS
pushd build
  %cmake ../
  make %{?_smp_mflags}
popd

%install
pushd build
  %make_install
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc License.txt Readme.txt
%{_libdir}/lib%{name}.so.*
%{_libdir}/OGRE/lib%{name}.OgrePlatform.so

%files devel
%{_includedir}/shiny/
%{_libdir}/lib%{name}.so

%changelog
* Thu May 15 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-1.gitdc53364
- Update to latest master

* Wed May 14 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2-3.gitf41178f
- don't ignore old LDFLAGS

* Wed May 14 2014 Richard Shaw <hobbes1069@gmail.com> - 0.2-2.gitf41178f
- Add patch to set soversion, install targets, and linking with Boost.
- Add LDFLAG option to prevent uncessary linking.

* Wed May 14 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2-1.gitf41178f
- Initial package
